---
title: text-decoration-line
slug: Web/CSS/text-decoration-line
tags:
  - CSS
  - CSS Property
  - CSS Text Decoration
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-decoration-line</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the kind of decoration that is used on text in an element, such as an underline or overline.</p>

<div>{{EmbedInteractiveExample("pages/css/text-decoration-line.html")}}</div>

<p>When setting multiple line-decoration properties at once, it may be more convenient to use the {{cssxref("text-decoration")}} shorthand property instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Single keyword */
text-decoration-line: none;
text-decoration-line: underline;
text-decoration-line: overline;
text-decoration-line: line-through;
text-decoration-line: blink;

/* Multiple keywords */
text-decoration-line: underline overline;               /* Two decoration lines */
text-decoration-line: overline underline line-through;  /* Multiple decoration lines */

/* Global values */
text-decoration-line: inherit;
text-decoration-line: initial;
text-decoration-line: unset;
</pre>

<p>The <code>text-decoration-line</code> property is specified as <code>none</code>, or <strong>one or more</strong> space-separated values from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>Produces no text decoration.</dd>
 <dt><code>underline</code></dt>
 <dd>Each line of text has a decorative line beneath it.</dd>
 <dt><code>overline</code></dt>
 <dd>Each line of text has a decorative line above it.</dd>
 <dt><code>line-through</code></dt>
 <dd>Each line of text has a decorative line going through its middle.</dd>
 <dt><code>blink</code> {{deprecated_inline}}</dt>
 <dd>The text blinks (alternates between visible and invisible). Conforming user agents may not blink the text. This value is <strong>deprecated</strong> in favor of <a href="/en-US/docs/Web/CSS/animation">CSS animations</a>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<pre class="brush: html notranslate">&lt;p class="wavy"&gt;Here's some text with wavy red underline!&lt;/p&gt;
&lt;p class="both"&gt;This text has lines both above and below it.&lt;/p&gt;</pre>

<pre class="brush: css notranslate">.wavy {
  text-decoration-line: underline;
  text-decoration-style: wavy;
  text-decoration-color: red;
}

.both {
  text-decoration-line: underline overline;
}</pre>

<p>{{ EmbedLiveSample('Examples', '', '', '') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text Decoration', '#text-decoration-line-property', 'text-decoration-line')}}</td>
   <td>{{Spec2('CSS3 Text Decoration')}}</td>
   <td>Initial definition. The {{cssxref("text-decoration")}} property is now a shorthand to define multiple related properties.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-decoration-line")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>When setting multiple line-decoration properties at once, it may be more convenient to use the {{cssxref("text-decoration")}} shorthand property instead.</li>
</ul>
